2624672 - SUM JAVA upgrade error: Shadow schema must be set on non EHPI upgrades | SAP Knowledge Base Article

SAP Knowledge Base Article - Preview

2624672 - SUM JAVA upgrade error: Shadow schema must be set on non EHPI upgrades

Symptom

Running a Software Update Manager (SUM) for a Java stack upgrade leads to the following error in phase INPUT-DBA-USER-CREDENTIALS-DB2:

An error occured during the execution of Input DBA user credentials (DB2) of action configure.
Service com.sap.sdt.j2ee.services.servicesimpl.DB2RetrieveDBAPasswordService failed with the following message:
com.sap.sdt.util.diag.DevelopmentSupportRequiredException: Assertion failed for (ERROR: Shadow schema must be set on non EHPI upgrades.) at com.sap.sdt.util.diag.SDT.check(SDT.java:38).

Checking the INPUT-DBA-USER-CREDENTIALS-DB2_xx.LOG, you can see similar error messages:

<Date and Time> [Info]: Dialog eliminator Db2DbaUserEliminator does not allow to omit dialog DbaUser_DB2
<Date and Time> [Info]: Dialog eliminator Db2DbaPwdEliminator does not allow to omit dialog DbaUser_DB2
<Date and Time> [Info]: Validatable parameter DB2_DBA_USER has been validated by validator MandatoryField.
<Date and Time> [Error]: The following problem has occurred during step execution: com.sap.sdt.util.diag.DevelopmentSupportRequiredException: Assertion failed for (ERROR: Shadow schema must be set on non EHPI upgrades.) at com.sap.sdt.util.diag.SDT.check(SDT.java:38).

Read more...

Environment

  • DB2 database
  • SUM 1.0 SP12

Product

SAP Solution Manager 7.2

Keywords

IBM database , KBA , BC-UPG-TLS-TLJ , Upgrade tools for Java , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.